//*========================================================================================*
//========================================================================================
// Project: Glass Level - Measure Index and Beam Pulse Widths.
// Author:  Jim Abraham
// Date:    3-3-2020
// Version: V1.0
// Revisions: 
//========================================================================================
//*========================================================================================*
// 
int index_pulse_Pin=2;
int beam_pulse_Pin=3;
int x=0,x1=0;
int dip=0;
unsigned long id_cnts=0, index_len=0, beam_len=0;
int id_start=0, id_high=0, id_low=0;

void setup() 
{
  pinMode(index_pulse_Pin,INPUT);
  pinMode(beam_pulse_Pin,INPUT);
  Serial.begin(9600);
}

void loop()
{
//----------------------------------------------------------------
// laser/reciever unit pulses to control box
//----------------------------------------------------------------
// 250usec = 0.25 msec
// index pulse = 1600usec
// beam pulse = 600usec
  index_len = pulseIn(index_pulse_Pin, CHANGE);  //length of index pulse in usec
  beam_len = pulseIn(beam_pulse_Pin, CHANGE);    //length of beam pulse in usec
  Serial.print("index=");
  Serial.println(index_len);
  Serial.print("beam=");
  Serial.println(beam_len);
//----------------------------------------------------------------
}//main loop
